%global momorel 3

Summary: A real mode 80x86 assembler and linker.
Name: dev86
Version: 0.16.17
Release: %{momorel}m
License: GPL
Group: Development/Languages
Source: http://www.cix.co.uk/~mayday/Dev86src-%{version}.tar.gz
Patch0: dev86-noelks.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: bin86
ExclusiveArch: %{ix86} x86_64

%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%prep
%setup -q
%patch0 -p1 -b .noelks

%build
make <<EOF
5
quit
EOF

%install
rm -rf ${RPM_BUILD_ROOT}

make DIST=${RPM_BUILD_ROOT} MANDIR=%{_mandir} install install-man

# preserve READMEs
for i in bootblocks copt dis88 unproto bin86 ; do cp $i/README README.$i ; done
cp bin86/README-0.4 README-0.4.bin86
cp bin86/ChangeLog ChangeLog.bin86

cd ${RPM_BUILD_ROOT}/usr/bin
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86
%dir /usr/lib/bcc
%{_bindir}/bcc
%{_bindir}/ar86
%{_bindir}/as86
%{_bindir}/ld86
%{_bindir}/objdump86
%{_bindir}/nm86
%{_bindir}/size86
/usr/lib/bcc/*
%{_mandir}/man1/*

%changelog
* Sun Jul 16 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16.17-3m)
- modify spec 

* Sun Jul 16 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16.17-2m)
- import patch from fc5
- modify spec for x86_64

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.16.17-1m)
- up to 0.16.17

* Sat Aug 21 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.16.16-1m)
  update to 0.16.16
  
* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.16.15-2m)
- clean up

* Sat May 15 2004 Masahiro Takahatata <takahata@momonga-linux.org>
- (0.16.15-1m)
- verup

* Mon Nov 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.16.14-1m)
- version up.

* Mon Oct 6 2003 kourin <kourin@fh.freeserve.ne.jp>
- (0.16.13-1m)
- version 0.16.13

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.16.11-2m)
- for glibc-2.3.2

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.16.11-1m)
- version 0.16.11

* Fri Mar 15 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.16.2-6k)
- fix dirty symlinks

* Fri Feb 22 2002 Mistru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.16.2-4k)
- delete Nosource tag

* Thu Feb 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.16.2-2k)
- handle documents more correctly

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.16.1-4k)
- miss operation....

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.16.1-2k)
- update to 0.16.1

* Mon Mar 04 2001 Motonobu Ichimura <famao@kondara.org>
- (0.15.3-5k)
- fixed bug (#861)

* Thu Oct 12 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.15.3

* Fri Aug 25 2000 AYUHANA Tomonori <l@kondara.org>
- (0.15.0-1k)
- ported from RawHide (0.15.0-5)
- SPEC fixed ( BuildRoot, Distribution )
- add Provides: bin86

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add defattr

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- change default header directory to match libs and fix bug #9121

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 0.15.0
- man pages are compressed

* Mon Sep 20 1999 Donnie Barnes <djb@redhat.com>
- removed "Distribution:" line (was RHCN)
- changed description and summary to the ones from bin86 with s/bin/dev/
  done throughout
- added patch to keep from installing in /usr/bcc and simply in /usr
- moved include files to /usr/lib/bcc/include

* Tue Sep 07 1999 Erik Troan <ewt@redhat.com>
- updated to Dev86src
- included in Red Hat 6.1

* Sat Nov 14 1998 Simon Weijgers <simon@mbit.doa.org>

- First release of this package to be shipped to rhcn.

- To be fixed: Bug in Makefile which installs headerfiles
  double. E.g. /usr/bcc/include/arch is also installed under
  /usr/bcc/include/arch/arch. This doesn't hinder operation,
  just eats a tiny bit of diskspace.
